Bug 824291 - Network device select page should not skip to display in virt-p2v client by PXE boot method
Network device select page should not skip to display in virt-p2v client by P...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 03:57 EDT by Cui Lei
Modified: 2015-03-12 13:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-12 13:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-05-23 03:57:15 EDT
Description of problem:
In virt-p2v client, the network device select page sometimes skip to display, even the host have two network devices.
This is incorrect behaviour, as different network devices maybe connected with different network, user should have the privilege to choose which one to use.
This issue was not always reproduced.

BTW, if the host has only network device, launch the virt-p2v pxe iso, sometimes network device select page skip to display either.

Version-Release number of selected component (if applicable):
virt-p2v-0.8.6-5.20120502.1.el6.iso
virt-v2v-0.8.7-6.el6.x86_64
libguestfs-1.16.19-1.el6.x86_64
libvirt-0.9.10-20.el6.x86_64
augeas-0.9.0-4.el6.x86_64
febootstrap-3.12-1.el6.x86_64
hivex-1.3.3-4.el6.x86_64
libguestfs-winsupport-1.0-7.el6.x86_64
virtio-win-1.5.1-1.el6.noarch

How reproducible:
40%

Steps to Reproduce:
1. Use a host with two network device and launch the virt-p2v iso by PXE boot method.
2. Check the first pop up page
3. Use the same machine try to execute step1 and step2 some times

Actual Results:
The network device select page sometimes skip to display.

Expected results:
The network device select page should always display

Additional info:
The behaviour for virt-p2v page display should be consistent, as even one network device of host, sometimes display the network deivce page, sometimes not.
Comment 3 RHEL Product and Program Management 2012-07-10 02:34:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 21:58:13 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-12-14 02:06:45 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Richard W.M. Jones 2015-03-12 13:15:17 EDT
I'm closing this bug:

 - virt-p2v has been rewritten for RHEL 7.2

 - Unofficial previews of the new version are available:
   http://oirase.annexia.org/virt-p2v/

 - If a similar bug occurs with the new version of virt-p2v,
   please open a new bug against Red Hat Enterprise Linux 7 / libguestfs

Note You need to log in before you can comment on or make changes to this bug.